{% extends "slow_forum/base_content.html"%}
{% load i18n tz slow_promote %}

{% block page_title %}
    {% translate "Topic category:" %} {{ topic_category.title|escape }}
{% endblock %}

{% block breadcrumb %}
    <li class="breadcrumb-item">
        <a href="{% url 'slow_forum:topic-category-list' %}">
            {% translate "Topics categories" %}
        </a>
    </li>
{% endblock %}

{% block content_title %}
    {{ topic_category.title|escape }}
{% endblock %}

{% block content_actions %}
    {% if perms.slow_forum.change_topiccategory %}
        <li class="nav-item ms-3">
            <a class="btn btn-outline-secondary my-auto" href="{% url 'slow_forum:topic-category-update' pk=topic_category.pk %}">
                {% translate "Edit" %}
            </a>
        </li>
    {% endif %}

    {% if perms.slow_forum.delete_topiccategory %}
        <li class="nav-item ms-3">
            <a class="btn btn-outline-danger my-auto" href="{% url 'slow_forum:topic-category-delete' pk=topic_category.pk %}">
                {% translate "Delete" %}
            </a>
        </li>
    {% endif %}

    <li class="nav-item ms-3">
        <a class="topic_add btn btn-primary my-auto" href="{% url 'slow_forum:topic-add-in-category' topic_category_pk=topic_category.pk %}">
            {% translate "Create a new topic" %}
        </a>
    </li>
{% endblock %}


{% block content %}

    {# Category description #}
    
    {% if topic_category.full_description %}
        <p class="mb-5" aria-description={% translate "Topic category full description" %}>
            {{ topic_category.full_description|escape }}
        </p>
    {% else %}
        <p class="mb-5" aria-description={% translate "Topic category short description" %}>
            {{ topic_category.short_description|escape }}
        </p>
    {% endif %}


    {# Topics list #}

    <div class="topics_list">
        
        <h2 class="text-secondary mb-4">
            {% translate "Topics" %}
        </h2>

        {% if topic_category.topics_set.all %}
            
            <table class="topics_table table" aria-description="{% translate "Topics table" %}">
                <thead>
                    <th scope="col">
                        {% translate "Subject" %}
                    </th>
                    <th scope="col">
                        {% translate "By" %}
                    </th>
                    <th scope="col">
                        {% translate "Created" %}
                    </th>
                    <th scope="col">
                        {% translate "Replies" %}
                    </th>
                    <th scope="col">
                        {% translate "Latest reply" %}
                    </th>
                </thead>
                <tbody>
                    {% for topic in topic_category.topics_set.all %}
                        <tr>
                            <td class="topic_subject align-middle fs-3">
                                <a href="{{ topic.get_absolute_url }}">
                                    {{ topic.subject|truncatechars:80|escape }}
                                </a>
                            </td>
                            <td class="topic_created_by align-middle">
                                {% promote_profile topic.created_by.profile %}
                            </td>
                            <td class="topic_created_on align-middle">
                                {{ topic.created_on|localtime|date:"DATETIME_FORMAT" }}
                            </td>
                            <td class="topic_replies_count align-middle">
                                {{ topic.replies_count }} <i class="bi bi-chat-left-text"></i>
                            </td>
                            <td class="topic_latest_reply align-middle">
                                {% if topic.latest_reply %}
                                    {{topic.latest_reply.created_on|localtime|date:"DATETIME_FORMAT" }} <i class="bi bi-clock"></i>
                                {% else %}
                                    {% translate "No reply for now" %}
                                {% endif %}
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>

        {% else %}
            <p>
                {% translate "No topic yet, please create one." %}
            </p>
        {% endif %}

    </div>

    
    {# About this category, for the admin #}

    {% if perms.slow_forum.view_topiccategory_metadata %}
        <div class="about_category mt-5">
            <h2 class="text-secondary mb-4">

                {% translate "About this category" %}
            </h2>

            <div class="vstack gap-3 justify-content-around mb-5 text-body-secondary">

                {# Created by #}
                
                <div class="hstack gap-3">
                    <div>
                        {% translate "Created by:" %}
                    </div>
                    <div>
                        {% promote_profile topic_category.created_by.profile %}
                    </div>
                    <div>
                        ({% translate "User:" %} {{ topic_category.created_by.username|escape }})
                    </div>
                </div>

                {# Created on #}
                
                <div class="hstack gap-3">
                    <div>
                        {% translate "Created on:" %}
                    </div>
                    <div>
                        {{ topic_category.created_on|localtime|date:"DATETIME_FORMAT" }}
                    </div>
                </div>

                {# Edition infos #}

                {% if topic_category.edited %}
                    
                    <div class="hstack gap-3">
                        <div>
                            {% translate "Edited by:" %}
                        </div>

                        <div>
                            {% promote_profile topic_category.edited_by.profile %}
                        </div>
                        <div>
                            ({% translate "User:" %} {{ topic_category.edited_by.username|escape }})
                        </div>
                    </div>
                    
                    <div class="hstack gap-3">
                        <div>
                            {% translate "Last edited on:" %}
                        </div>
                        <div>
                            {{ topic_category.edited_on|localtime|date:"DATETIME_FORMAT" }}
                        </div>
                    </div>

                {% else %}
                    
                    <div class="">
                        {% translate "Is not edited" %}
                    </div>

                {% endif %}
                
            </div>

        </div>
    {% endif %}



{% endblock %}
